# Enum Class VulkanCommandBufferLevel

java.lang.Object
java.lang.Enum<VulkanCommandBufferLevel>
com.io7m.jcoronado.api.VulkanCommandBufferLevel

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanCommandBufferLevel>`, `Constable`

public enum VulkanCommandBufferLevel extends Enum<VulkanCommandBufferLevel> implements VulkanEnumIntegerType

See Also:
  - "VkCommandBufferLevel"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_COMMAND_BUFFER_LEVEL_PRIMARY`
  Specifies a primary command buffer.
  `VK_COMMAND_BUFFER_LEVEL_SECONDARY`
  Specifies a secondary command buffer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanCommandBufferLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanCommandBufferLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_COMMAND_BUFFER_LEVEL_PRIMARY

    public static final VulkanCommandBufferLevel VK_COMMAND_BUFFER_LEVEL_PRIMARY
    Specifies a primary command buffer.

  - ### VK_COMMAND_BUFFER_LEVEL_SECONDARY

    public static final VulkanCommandBufferLevel VK_COMMAND_BUFFER_LEVEL_SECONDARY
    Specifies a secondary command buffer.

- ## Method Details

  - ### values

    public static VulkanCommandBufferLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanCommandBufferLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant